#include<iostream>
#include<map>
#include<iterator>
#include<vector>
using namespace std;
map<int, int> m;
vector<int> r;
int n, k, p, i, j, l;
int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	for (i = 0, cin >> n >> k; i < n; i++) {
		cin >> p;
		m[p]++;
	}
	for (auto it = m.begin(); it != m.end(); it++) {
		if (it->second >= k) {
			r.push_back(it->first);
		}
	}
	cout << r.size() << '\n';
	for (int e : r) {
		cout << e << ' ';
	}
}